import PouchDB from 'pouchdb'
import PouchDBfind from 'pouchdb-find'

/**
 *  PouchdbHandler
 *
 *  @author Björn Hase, me@herr-hase.wtf
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitea.node001.net/HerrHase/super-hog
 *
 */

class PouchdbHandler {

    /**
     *
     *
     */
    constructor() {
        PouchDB.plugin(PouchDBfind)

        this.db = new PouchDB('.storage/pouchdb/apps', {
            revs_limit: 0
        })

        // create fields for index
        const fields = [
            'type',
            'name',
            'description',
            'tags'
        ]

        // adding index
        try {
            this.db.createIndex({
                index: {
                    fields: fields
                }
            }).then(() => {

            })
        } catch (error) {
            console.log(error);
        }
    }
}

export default PouchdbHandler